<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.1) on Sun Aug 01 17:59:29 CEST 2021 -->
<title>Grind</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-08-01">
<meta name="description" content="declaration: package: com.zelyvanna.bdoefficiency.model, class: Grind">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">com.zelyvanna.bdoefficiency.model</a></div>
<h1 title="Class Grind" class="title">Class Grind</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">com.zelyvanna.bdoefficiency.model.Grind</div>
</div>
<section class="description">
<hr>
<pre>@Entity
public class <span class="typeNameLabel">Grind</span>
extends java.lang.Object</pre>
<div class="block">Grind Session Entity</div>
</section>
<section class="summary">
<ul class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<li class="blockList">
<section class="fieldSummary"><a id="field.summary">
<!--   -->
</a>
<h2>Field Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#agris">agris</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#blueScroll">blueScroll</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#c_character">c_character</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#dropEvent">dropEvent</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#duration">duration</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.Set&lt;<a href="GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#grindItems">grindItems</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#grindspot">grindspot</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#id">id</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#kamasylve">kamasylve</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#node">node</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#tent">tent</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#totalSilver">totalSilver</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#user">user</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#valuePack">valuePack</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#yellowScroll">yellowScroll</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Grind</a></span>()</code></th>
<td class="colLast">
<div class="block">Empty constructor of grind</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(com.zelyvanna.bdoefficiency.model.User,com.zelyvanna.bdoefficiency.model.Grindspot,com.zelyvanna.bdoefficiency.model.Character,int,boolean,boolean,boolean,boolean,boolean,boolean,boolean,int)">Grind</a></span>&#8203;(<a href="User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a>&nbsp;user,
<a href="Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a>&nbsp;grindspot,
<a href="Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a>&nbsp;c_character,
int&nbsp;duration,
boolean&nbsp;valuePack,
boolean&nbsp;kamasylve,
boolean&nbsp;dropEvent,
boolean&nbsp;blueScroll,
boolean&nbsp;yellowScroll,
boolean&nbsp;agris,
boolean&nbsp;tent,
int&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Grind Session's constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addGrindItem(com.zelyvanna.bdoefficiency.model.GrindItem)">addGrindItem</a></span>&#8203;(<a href="GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a>&nbsp;grindItem)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculateTotalSilver()">calculateTotalSilver</a></span>()</code></th>
<td class="colLast">
<div class="block">Calculates and returns the total silver gained of the grind session</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code><a href="Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getC_character()">getC_character</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getDuration()">getDuration</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>java.util.Set&lt;<a href="GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGrindItems()">getGrindItems</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code><a href="Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGrindspot()">getGrindspot</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getId()">getId</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNode()">getNode</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTotalSilver()">getTotalSilver</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code><a href="User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getUser()">getUser</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isAgris()">isAgris</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isBlueScroll()">isBlueScroll</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isDropEvent()">isDropEvent</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isKamasylve()">isKamasylve</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isTent()">isTent</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i15">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isValuePack()">isValuePack</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i16">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isYellowScroll()">isYellowScroll</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i17">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeGrindItem(com.zelyvanna.bdoefficiency.model.GrindItem)">removeGrindItem</a></span>&#8203;(<a href="GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a>&nbsp;grindItem)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i18">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAgris(boolean)">setAgris</a></span>&#8203;(boolean&nbsp;agris)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i19">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setBlueScroll(boolean)">setBlueScroll</a></span>&#8203;(boolean&nbsp;blueScroll)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i20">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setC_character(com.zelyvanna.bdoefficiency.model.Character)">setC_character</a></span>&#8203;(<a href="Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a>&nbsp;c_character)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i21">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDropEvent(boolean)">setDropEvent</a></span>&#8203;(boolean&nbsp;dropEvent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i22">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDuration(int)">setDuration</a></span>&#8203;(int&nbsp;duration)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i23">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGrindItems(java.util.Set)">setGrindItems</a></span>&#8203;(java.util.Set&lt;<a href="GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a>&gt;&nbsp;grindItems)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i24">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGrindspot(com.zelyvanna.bdoefficiency.model.Grindspot)">setGrindspot</a></span>&#8203;(<a href="Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a>&nbsp;grindspot)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i25">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setId(int)">setId</a></span>&#8203;(int&nbsp;id)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i26">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setKamasylve(boolean)">setKamasylve</a></span>&#8203;(boolean&nbsp;kamasylve)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i27">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setNode(int)">setNode</a></span>&#8203;(int&nbsp;node)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i28">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTent(boolean)">setTent</a></span>&#8203;(boolean&nbsp;tent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i29">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTotalSilver(int)">setTotalSilver</a></span>&#8203;(int&nbsp;totalSilver)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i30">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setUser(com.zelyvanna.bdoefficiency.model.User)">setUser</a></span>&#8203;(<a href="User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a>&nbsp;user)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i31">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setValuePack(boolean)">setValuePack</a></span>&#8203;(boolean&nbsp;valuePack)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i32">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setYellowScroll(boolean)">setYellowScroll</a></span>&#8203;(boolean&nbsp;yellowScroll)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<li class="blockList">
<section class="fieldDetails"><a id="field.detail">
<!--   -->
</a>
<h2>Field Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="id">id</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">id</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="user">user</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType"><a href="User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></span>&nbsp;<span class="memberName">user</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="c_character">c_character</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType"><a href="Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></span>&nbsp;<span class="memberName">c_character</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="grindspot">grindspot</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType"><a href="Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></span>&nbsp;<span class="memberName">grindspot</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="grindItems">grindItems</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">java.util.Set&lt;<a href="GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a>&gt;</span>&nbsp;<span class="memberName">grindItems</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="duration">duration</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">duration</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="valuePack">valuePack</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">valuePack</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="kamasylve">kamasylve</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">kamasylve</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="dropEvent">dropEvent</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">dropEvent</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="blueScroll">blueScroll</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">blueScroll</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="yellowScroll">yellowScroll</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">yellowScroll</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="agris">agris</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">agris</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="tent">tent</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">tent</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="node">node</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">node</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="totalSilver">totalSilver</a></h3>
<div class="memberSignature"><span class="modifiers">private</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">totalSilver</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">Grind</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">Grind</span>()</div>
<div class="block">Empty constructor of grind</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;(com.zelyvanna.bdoefficiency.model.User,com.zelyvanna.bdoefficiency.model.Grindspot,com.zelyvanna.bdoefficiency.model.Character,int,boolean,boolean,boolean,boolean,boolean,boolean,boolean,int)">Grind</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">Grind</span>&#8203;(<span class="arguments"><a href="User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a>&nbsp;user,
<a href="Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a>&nbsp;grindspot,
<a href="Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a>&nbsp;c_character,
int&nbsp;duration,
boolean&nbsp;valuePack,
boolean&nbsp;kamasylve,
boolean&nbsp;dropEvent,
boolean&nbsp;blueScroll,
boolean&nbsp;yellowScroll,
boolean&nbsp;agris,
boolean&nbsp;tent,
int&nbsp;node)</span></div>
<div class="block">Grind Session's constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - Owner of the Grind Session</dd>
<dd><code>grindspot</code> - Grindspot of the Grind Session</dd>
<dd><code>c_character</code> - Character of the Grind Session</dd>
<dd><code>duration</code> - Duration of the Grind Session</dd>
<dd><code>valuePack</code> - Value Pack of the Grind Session</dd>
<dd><code>kamasylve</code> - Kamasylve of the Grind Session</dd>
<dd><code>dropEvent</code> - Drop Event of the Grind Session</dd>
<dd><code>blueScroll</code> - Blue Scroll of the Grind Session</dd>
<dd><code>yellowScroll</code> - Yellow Scroll of the Grind Session</dd>
<dd><code>agris</code> - Agris of the Grind Session</dd>
<dd><code>tent</code> - Tenr of the Grind Session</dd>
<dd><code>node</code> - Node of the Grind Session</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getUser()">getUser</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType"><a href="User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a></span>&nbsp;<span class="memberName">getUser</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setUser(com.zelyvanna.bdoefficiency.model.User)">setUser</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setUser</span>&#8203;(<span class="arguments"><a href="User.html" title="class in com.zelyvanna.bdoefficiency.model">User</a>&nbsp;user)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getC_character()">getC_character</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType"><a href="Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></span>&nbsp;<span class="memberName">getC_character</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setC_character(com.zelyvanna.bdoefficiency.model.Character)">setC_character</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setC_character</span>&#8203;(<span class="arguments"><a href="Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a>&nbsp;c_character)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getGrindspot()">getGrindspot</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType"><a href="Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a></span>&nbsp;<span class="memberName">getGrindspot</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setGrindspot(com.zelyvanna.bdoefficiency.model.Grindspot)">setGrindspot</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setGrindspot</span>&#8203;(<span class="arguments"><a href="Grindspot.html" title="class in com.zelyvanna.bdoefficiency.model">Grindspot</a>&nbsp;grindspot)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getDuration()">getDuration</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getDuration</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setDuration(int)">setDuration</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setDuration</span>&#8203;(<span class="arguments">int&nbsp;duration)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getGrindItems()">getGrindItems</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.Set&lt;<a href="GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a>&gt;</span>&nbsp;<span class="memberName">getGrindItems</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setGrindItems(java.util.Set)">setGrindItems</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setGrindItems</span>&#8203;(<span class="arguments">java.util.Set&lt;<a href="GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a>&gt;&nbsp;grindItems)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addGrindItem(com.zelyvanna.bdoefficiency.model.GrindItem)">addGrindItem</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">addGrindItem</span>&#8203;(<span class="arguments"><a href="GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a>&nbsp;grindItem)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="removeGrindItem(com.zelyvanna.bdoefficiency.model.GrindItem)">removeGrindItem</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">removeGrindItem</span>&#8203;(<span class="arguments"><a href="GrindItem.html" title="class in com.zelyvanna.bdoefficiency.model">GrindItem</a>&nbsp;grindItem)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getId()">getId</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getId</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setId(int)">setId</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setId</span>&#8203;(<span class="arguments">int&nbsp;id)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="isValuePack()">isValuePack</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">isValuePack</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setValuePack(boolean)">setValuePack</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setValuePack</span>&#8203;(<span class="arguments">boolean&nbsp;valuePack)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getTotalSilver()">getTotalSilver</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getTotalSilver</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setTotalSilver(int)">setTotalSilver</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setTotalSilver</span>&#8203;(<span class="arguments">int&nbsp;totalSilver)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="calculateTotalSilver()">calculateTotalSilver</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">calculateTotalSilver</span>()</div>
<div class="block">Calculates and returns the total silver gained of the grind session</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>totalSilver of the grind session</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="isKamasylve()">isKamasylve</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">isKamasylve</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setKamasylve(boolean)">setKamasylve</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setKamasylve</span>&#8203;(<span class="arguments">boolean&nbsp;kamasylve)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="isDropEvent()">isDropEvent</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">isDropEvent</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setDropEvent(boolean)">setDropEvent</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setDropEvent</span>&#8203;(<span class="arguments">boolean&nbsp;dropEvent)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="isBlueScroll()">isBlueScroll</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">isBlueScroll</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setBlueScroll(boolean)">setBlueScroll</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setBlueScroll</span>&#8203;(<span class="arguments">boolean&nbsp;blueScroll)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="isYellowScroll()">isYellowScroll</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">isYellowScroll</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setYellowScroll(boolean)">setYellowScroll</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setYellowScroll</span>&#8203;(<span class="arguments">boolean&nbsp;yellowScroll)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="isAgris()">isAgris</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">isAgris</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setAgris(boolean)">setAgris</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setAgris</span>&#8203;(<span class="arguments">boolean&nbsp;agris)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="isTent()">isTent</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">boolean</span>&nbsp;<span class="memberName">isTent</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setTent(boolean)">setTent</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setTent</span>&#8203;(<span class="arguments">boolean&nbsp;tent)</span></div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getNode()">getNode</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getNode</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setNode(int)">setNode</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setNode</span>&#8203;(<span class="arguments">int&nbsp;node)</span></div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
